org.keycloak.models.jpa.entities

## Class ComponentConfigEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ComponentConfigEntity

-     @Entity
      public class ComponentConfigEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComponentEntity` | `component`
    `protected String` | `id`
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentConfigEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ComponentEntity` | `getComponent()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setComponent(ComponentEntity component)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### component

          protected ComponentEntity component

    - #### name

          protected String name

    - #### value

          protected String value

  - ### Constructor Detail

    - #### ComponentConfigEntity

          public ComponentConfigEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getComponent

          public ComponentEntity getComponent()

    - #### setComponent

          public void setComponent(ComponentEntity component)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.